Sponsor:

Server and Web Integrator
Link:
Kloxo-MR logo
6.5.0 or 7.0.0
Click for "How to install"
Donation/Sponsorship:
Kloxo-MR is open-source.
Donate and or Sponsorship always welcome.
Click to:
Click Here
Please login or register. 2018-06-20, 07:06:07

Author Topic: ioncube not working  (Read 2271 times)

0 Members and 1 Guest are viewing this topic.

Offline jtaco263

  • Senior Member
  • *
  • Posts: 165
  • Karma: +0/-0
    • View Profile
ioncube not working
« on: 2017-07-12, 18:58:23 »
hey i have ioncube installed but the extension is not loaded here is my php version:

Code: [Select]
[root@sv1 ~]# php -v
PHP 5.5.38 (cli) (built: Jul 21 2016 14:12:41)
Copyright (c) 1997-2015 The PHP Group
Zend Engine v2.5.0, Copyright (c) 1998-2015 Zend Technologies
    with the ionCube PHP Loader (enabled) + Intrusion Protection from ioncube24.com (unconfigured) v5.1.2, Copyright (c) 2002-2016, by ionCube Ltd.

here is when the script detects if its enabled:

Code: [Select]
if(!extension_loaded("ionCube Loader")){ echo "ionCube loader is required to run BoxBilling. Instructions to install ionCube loaders http://www.ioncube.com/loaders.php or contact support at http://www.boxbilling.com"; exit(199); }
how do i solve this?
 here is my sysinfo:

Code: [Select]
[root@sv1 ~]# sh /script/sysinfo
A. Control Panel:
   - Kloxo-MR: 7.0.0.c-2017050104
   - Web: --uninstalled--
   - PHP: php56s-5.6.30-2.ius.centos6 (fpm mode)
B. Plateform:
   - OS: CentOS release 6.9 (Final) x86_64
   - Hostname: sv1.dattasolutions.com.mx
C. Services:
   1. MySQL: --uninstalled--
   2. PHP:
      - Installed:
        - Branch: --uninstalled--
        - Multiple:
          * php53m-5.3.29-1.ius.centos6
          * php54m-5.4.45-1.ius.centos6
          * php55m-5.5.38-1.ius.centos6
          * php56m-5.6.30-2.ius.centos6
          * php70m-7.0.18-1.ius.centos6
          * php71m-7.1.4-1.ius.centos6
      - Used: php55m-fpm
      - Multiple: enable
   3. Web Used: apache
     - Hiawatha: --uninstalled--
     - Lighttpd: --uninstalled--
     - Nginx: --uninstalled--
     - Apache: --uninstalled--
       - PHP Type: php-fpm_event
       - Secondary PHP: on
   4. WebCache: none
     - ATS: --uninstalled--
     - Squid: --uninstalled--
     - Varnish: --uninstalled--
   5. Dns: bind
     - Bind: bind-9.9.9-1.mr.el6.x86_64
     - DJBDns: djbdns-1.05-17.4.mr.el6.x86_64
     - NSD: nsd-4.1.14-1.el6.x86_64
     - PowerDNS: pdns-4.0.3-1.el6.MIND.x86_64
     - Yadifa: yadifa-2.2.3-1.mr.el6.x86_64
   6. Mail: qmail-toaster-1.03-1.3.56.mr.el6.x86_64
      - pop3/imap4: courier-imap-toaster-4.1.2-1.3.20.mr.el6.x86_64
      - smtp: qmail-toaster-1.03-1.3.56.mr.el6.x86_64
      - spam: bogofilter-1.2.4-1.el6.x86_64
   7. FTP: pure-ftpd
      - pure-ftpd: pure-ftpd-1.0.37-1.mr.el6.x86_64
   8. Stats: awstats
      - awstats: kloxomr-stats-awstats-7.6-1.mr.noarch
D. Memory:
             total       used       free     shared    buffers     cached
Mem:          6144        649       5494          7          0        237
-/+ buffers/cache:        411       5732
Swap:         6144          0       6144
E. Disk Space:
Filesystem         Size  Used Avail Use% Mounted on
/dev/ploop35921p1  148G   11G  130G   8% /


*** Process Time: 00:00:00:26.26320 (dd:hh:mm:ss:xxxxxx) ***

* Note: run 'sh /script/sysinfo -y' if you want run 'fix-service-list' also
        (importance after Kloxo-MR update)

Offline MRatWork

  • Administrator
  • The Elite
  • *****
  • Posts: 15,382
  • Karma: +115/-9
  • Gender: Male
    • View Profile
    • MRatWork Forum
Re: ioncube not working
« Reply #1 on: 2017-07-13, 03:10:28 »
Update your Kloxo-MR 7.0 with 'yum clean all; yum update -y; sh /script/cleanup'.
..:: MRatWork (Mustafa Ramadhan Projects) ::..
-- Server/Web-integrator - Web Hosting (Kloxo-MR READY!) --

Offline MRatWork

  • Administrator
  • The Elite
  • *****
  • Posts: 15,382
  • Karma: +115/-9
  • Gender: Male
    • View Profile
    • MRatWork Forum
Re: ioncube not working
« Reply #2 on: 2017-07-13, 03:28:49 »
After that, choose 'php56m' in 'php used' under 'webserver configure'. To enable ioncube, go to 'php modules status' and then enable ioncube for php56m and then click restart.
..:: MRatWork (Mustafa Ramadhan Projects) ::..
-- Server/Web-integrator - Web Hosting (Kloxo-MR READY!) --

Offline shaunrico

  • Junior Member
  • *
  • Posts: 36
  • Karma: +0/-0
    • View Profile
Re: ioncube not working
« Reply #3 on: 2017-09-04, 08:40:56 »
My ioncube stopped working too after I ugraded to php 7u. I went to 'php modules status" and it is enable there (but I think that is for the wrong version). But when I type php -v command I get nothing. It's not enable. One of my plugin on wordpress that need ioncube stop working.

Can you help me out? I would like to use Php 7u because it seems much faster than 5.3.
« Last Edit: 2017-09-04, 08:42:33 by shaunrico »

Offline MRatWork

  • Administrator
  • The Elite
  • *****
  • Posts: 15,382
  • Karma: +115/-9
  • Gender: Male
    • View Profile
    • MRatWork Forum
Re: ioncube not working
« Reply #4 on: 2017-09-04, 08:51:52 »
Try run 'sh /script/ioncube-installer -y'
..:: MRatWork (Mustafa Ramadhan Projects) ::..
-- Server/Web-integrator - Web Hosting (Kloxo-MR READY!) --

Offline shaunrico

  • Junior Member
  • *
  • Posts: 36
  • Karma: +0/-0
    • View Profile
Re: ioncube not working
« Reply #5 on: 2017-09-04, 09:27:12 »
After I run sh /script/ioncube-installer -y
I get:
- Getting ioncube-loader from ioncube.com and extracting
- Overwriting '/opt/php56s/etc/php.d/01-ioncube-loader_used.ini'

I did the command: nano /opt/php56s/etc/php.d/01-ioncube-loader_used.ini
and here what is inside the file:
end_extension=/opt/ioncube/ioncube_loader_lin_5.6.so

It is suppose to be PHP 7.1 not 5.6

It's not working. And could you please tell me why in PHP Module Status there are still the PHP5.6s module list? I switch to PHP 7, I don't have multiple PHP enable.

It's the same when I do the command:
yum clean all; yum update -y; sh /script/phpm-updater
it updates the PHP 5.6s



Offline MRatWork

  • Administrator
  • The Elite
  • *****
  • Posts: 15,382
  • Karma: +115/-9
  • Gender: Male
    • View Profile
    • MRatWork Forum
Re: ioncube not working
« Reply #6 on: 2017-09-04, 09:42:40 »
Sorry, Php 7.1 still doesn't have ioncube module.
..:: MRatWork (Mustafa Ramadhan Projects) ::..
-- Server/Web-integrator - Web Hosting (Kloxo-MR READY!) --

Offline shaunrico

  • Junior Member
  • *
  • Posts: 36
  • Karma: +0/-0
    • View Profile
Re: ioncube not working
« Reply #7 on: 2017-09-04, 09:48:50 »
I think they have it, it just came out 2 days ago:
If you manually download it form their site, the package contains this file:

ioncube_loader_lin_7.1.so

The problem is when I edit /etc/php.ini and load it, it get erase when I do this:

sh /script/cleanup
sh /script/fix-dns
sh /script/fixweb
sh /script/restart-all

So how do I load it manually, which php.ini do I edit?
thanks
« Last Edit: 2017-09-04, 09:57:42 by shaunrico »

Offline MRatWork

  • Administrator
  • The Elite
  • *****
  • Posts: 15,382
  • Karma: +115/-9
  • Gender: Male
    • View Profile
    • MRatWork Forum
Re: ioncube not working
« Reply #8 on: 2017-09-04, 10:08:47 »
Update your Kloxo-MR 7.0 and then run 'ioncube-installer -t' again
..:: MRatWork (Mustafa Ramadhan Projects) ::..
-- Server/Web-integrator - Web Hosting (Kloxo-MR READY!) --

Offline shaunrico

  • Junior Member
  • *
  • Posts: 36
  • Karma: +0/-0
    • View Profile
Re: ioncube not working
« Reply #9 on: 2017-09-04, 10:26:49 »
yum update -y
sh /script/ioncube-installer -y

I get the same results:
*** Install ioncube-loader ***
- Getting ioncube-loader from ioncube.com and extracting
- Overwriting '/opt/php56s/etc/php.d/01-ioncube-loader_used.ini'

Like I said before, why does kloxo still think I am using php5.6s?
Even in php module list, all the module of PHP 5.6 are still enable, why is that?

Offline MRatWork

  • Administrator
  • The Elite
  • *****
  • Posts: 15,382
  • Karma: +115/-9
  • Gender: Male
    • View Profile
    • MRatWork Forum
Re: ioncube not working
« Reply #10 on: 2017-09-04, 10:33:42 »
Inform here 'sh /script/sysinfo' again.
..:: MRatWork (Mustafa Ramadhan Projects) ::..
-- Server/Web-integrator - Web Hosting (Kloxo-MR READY!) --

Offline shaunrico

  • Junior Member
  • *
  • Posts: 36
  • Karma: +0/-0
    • View Profile
Re: ioncube not working
« Reply #11 on: 2017-09-04, 10:42:35 »
I see That is PHP it says that I am using php56s but in Branch it's 7.1u.
What does that mean? does kloxo use both of them at the same time?
I have attached my webserver configure. I have only php71u.

Code: [Select]
A. Control Panel:
   - Kloxo-MR: 7.0.0.c-2017083001
   - Web: hiawatha-10.6.0-f.1.mr.el6.x86_64
   - PHP: php56s - 5.6.31-1.ius.centos6 (fpm mode)
B. Plateform:
   - OS: CentOS release 6.9 (Final) x86_64
   - Hostname: discountnow.club
C. Services:
   1. MySQL: MariaDB-server-10.0.32-1.el6.x86_64
   2. PHP:
      - Installed:
        - Branch: php71u-cli-7.1.8-2.ius.centos6.x86_64
      - Used: --PHP Branch--
      - Multiple: disable
   3. Web Used: hiawathaproxy
     - Hiawatha: hiawatha-10.6.0-f.1.mr.el6.x86_64
     - Lighttpd: lighttpd-1.4.45-1.el6.x86_64
     - Nginx: nginx-1.13.4-1.el6.ngx.x86_64
     - Apache: httpd24u-2.4.27-1.ius.centos6.x86_64
       - PHP Type: php-fpm_event
       - Secondary PHP: off
   4. WebCache: none
     - ATS: --uninstalled--
     - Squid: --uninstalled--
     - Varnish: --uninstalled--
   5. Dns: bind
     - Bind: bind-9.9.9-1.mr.el6.x86_64
     - DJBDns: djbdns-1.05-17.4.mr.el6.x86_64
     - NSD: nsd-4.1.16-1.el6.x86_64
     - PowerDNS: pdns-4.0.3-1.el6.MIND.x86_64
     - Yadifa: yadifa-2.2.5-1.mr.el6.x86_64
   6. Mail: qmail-toaster-1.03-1.3.57.mr.el6.x86_64
      - pop3/imap4: courier-imap-toaster-4.1.2-1.3.20.mr.el6.x86_64
      - smtp: qmail-toaster-1.03-1.3.57.mr.el6.x86_64
      - spam: bogofilter-1.2.4-1.el6.x86_64
   7. FTP: pure-ftpd
      - pure-ftpd: pure-ftpd-1.0.37-1.mr.el6.x86_64
   8. Stats: awstats
      - awstats: kloxomr-stats-awstats-7.6-1.mr.noarch
« Last Edit: 2017-09-04, 10:48:33 by shaunrico »

Offline MRatWork

  • Administrator
  • The Elite
  • *****
  • Posts: 15,382
  • Karma: +115/-9
  • Gender: Male
    • View Profile
    • MRatWork Forum
Re: ioncube not working
« Reply #12 on: 2017-09-04, 11:42:07 »
Kloxo-MR use php56s (special install from php 5.6). Php-branch mean php installed via 'yum install'. PhpXYm (like php56m) are php installed with special process (like php56s) and target to 'multiple php' (make possible every website using different php version).

For your issue for php71m, try 'sh /script/phpm-remove php71m; sh /script/phpm-installer php71m; sh /script/ioncube-installer -y'.

If you run 'php -V' that men you want to know about php-branch. For multiple php, run 'php56m-cli -V' for php 5.6 version.
..:: MRatWork (Mustafa Ramadhan Projects) ::..
-- Server/Web-integrator - Web Hosting (Kloxo-MR READY!) --

Offline shaunrico

  • Junior Member
  • *
  • Posts: 36
  • Karma: +0/-0
    • View Profile
Re: ioncube not working
« Reply #13 on: 2017-09-04, 12:14:36 »
Thanks for the troubleshooting
After I did what you told me to do, now I am running in multiple branch mode. Ioncube installed correctly now.

I don't get it. Why does it have to be that way?

The problem now I am having is that my memory consumption jumped 400 MB more. I did a server reboot and on a clean restart it used to be about 900MB. Now it's at Used 1316 MB.

I have so many modules in php module list enabled and I am not sure which one to disabled. Which one Kloxo is actually using? Does that contribute to the ram consumption?

There 's list from
/etc/php.d/ list
/opt/php56s/etc/php.d/
/opt/php71m/etc/php.d/

Please see screenshot of my my php module list for my ioncube loader.
But when I do command: php -v
I get no message that ioncube is loaded:

PHP 7.1.8 (cli) (built: Aug  7 2017 13:45:55) ( NTS )
Copyright (c) 1997-2017 The PHP Group
Zend Engine v3.1.0, Copyright (c) 1998-2017 Zend Technologies
« Last Edit: 2017-09-04, 12:19:40 by shaunrico »

Offline MRatWork

  • Administrator
  • The Elite
  • *****
  • Posts: 15,382
  • Karma: +115/-9
  • Gender: Male
    • View Profile
    • MRatWork Forum
Re: ioncube not working
« Reply #14 on: 2017-09-04, 12:35:47 »
Try enable via 'php module status'.
..:: MRatWork (Mustafa Ramadhan Projects) ::..
-- Server/Web-integrator - Web Hosting (Kloxo-MR READY!) --

 


Top 4 Global Search Engines:    Google    Bing    Baidu    Yahoo

Page created in 0.036 seconds with 19 queries.

web stats analysis